Generation Framework

## org.eclipse.gmf.gmfgraph.util
Class RuntimeFQNSwitch

    java.lang.Object
      org.eclipse.gmf.gmfgraph.util.GMFGraphSwitch
          org.eclipse.gmf.gmfgraph.util.PureGEFFigureQualifiedNameSwitch
              org.eclipse.gmf.gmfgraph.util.RuntimeFQNSwitch

All Implemented Interfaces:
  FigureQualifiedNameSwitch

public class RuntimeFQNSwitch
extends org.eclipse.gmf.gmfgraph.util.PureGEFFigureQualifiedNameSwitch

FQNSwitch to use with figures utilizing power of GMF Runtime

Field Summary

Fields inherited from class org.eclipse.gmf.gmfgraph.util.GMFGraphSwitch
`modelPackage`

Constructor Summary
`RuntimeFQNSwitch()`

Method Summary
`java.lang.Object` `caseBorderLayout(BorderLayout object)` Returns the result of interpretting the object as an instance of 'Border Layout'
`java.lang.Object` `caseCustomClass(CustomClass object)` Returns the result of interpretting the object as an instance of 'Custom Class'
`java.lang.Object` `caseEllipse(Ellipse object)` Returns the result of interpretting the object as an instance of 'Ellipse'
`java.lang.Object` `caseFlowLayout(FlowLayout object)` Returns the result of interpretting the object as an instance of 'Flow Layout'
`java.lang.Object` `caseGridLayout(GridLayout object)` Returns the result of interpretting the object as an instance of 'Grid Layout'
`java.lang.Object` `caseGridLayoutData(GridLayoutData object)` Returns the result of interpretting the object as an instance of 'Grid Layout Data'
`java.lang.Object` `caseLabel(Label object)` Returns the result of interpretting the object as an instance of 'Label'
`java.lang.Object` `caseLabeledContainer(LabeledContainer object)` Returns the result of interpretting the object as an instance of 'Labeled Container'
`java.lang.Object` `casePolygon(Polygon object)` Returns the result of interpretting the object as an instance of 'Polygon'
`java.lang.Object` `casePolygonDecoration(PolygonDecoration object)` Returns the result of interpretting the object as an instance of 'Polygon Decoration'
`java.lang.Object` `casePolyline(Polyline object)` Returns the result of interpretting the object as an instance of 'Polyline'
`java.lang.Object` `casePolylineConnection(PolylineConnection object)` Returns the result of interpretting the object as an instance of 'Polyline Connection'
`java.lang.Object` `casePolylineDecoration(PolylineDecoration object)` Returns the result of interpretting the object as an instance of 'Polyline Decoration'
`java.lang.Object` `caseRectangle(Rectangle object)` Returns the result of interpretting the object as an instance of 'Rectangle'
`java.lang.Object` `caseRoundedRectangle(RoundedRectangle object)` Returns the result of interpretting the object as an instance of 'Rounded Rectangle'
`java.lang.Object` `caseStackLayout(StackLayout object)` Returns the result of interpretting the object as an instance of 'Stack Layout'
`java.lang.Object` `caseXYLayout(XYLayout object)` Returns the result of interpretting the object as an instance of 'XY Layout'
`java.lang.Object` `caseXYLayoutData(XYLayoutData object)` Returns the result of interpretting the object as an instance of 'XY Layout Data'
`protected void` `collectDependencies(FigureGallery gallery, UniqueEList result)`
`java.lang.String` `get(EObject gmfgraphObject)` (XXX) tell about/change behavior with wrong arguments - exception?
`java.lang.String` `get(EObject gmfgraphObject, ImportAssistant importManager)` Handy addition to `PureGEFFigureQualifiedNameSwitch.get(EObject)`, with return value passed through `ImportAssistant.getImportedName(String)`
`java.lang.String[]` `getDependencies(FigureGallery gallery)` (XXX) decide whether org.eclipse.draw2d should be included there.

Methods inherited from class org.eclipse.gmf.gmfgraph.util.GMFGraphSwitch

`caseAlignmentFacet, caseBasicFont, caseBorder, caseBorderLayoutData, caseCanvas, caseColor, caseCompartment, caseCompoundBorder, caseConnection, caseConnectionFigure, caseConstantColor, caseCustomAttribute, caseCustomBorder, caseCustomConnection, caseCustomDecoration, caseCustomFigure, caseCustomLayout, caseCustomLayoutData, caseDecorationFigure, caseDiagramElement, caseDiagramLabel, caseDimension, caseFigure, caseFigureAccessor, caseFigureGallery, caseFigureHandle, caseFigureMarker, caseFigureRef, caseFont, caseGeneralFacet, caseGradientFacet, caseIdentity, caseInsets, caseLabelOffsetFacet, caseLayout, caseLayoutable, caseLayoutData, caseLineBorder, caseMarginBorder, caseNode, casePoint, caseRGBColor, caseShape, caseVisualFacet, defaultCase, doSwitch, doSwitch, doSwitch`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RuntimeFQNSwitch

    public RuntimeFQNSwitch()

Method Detail

### collectDependencies

    protected void collectDependencies(FigureGallery gallery,
                                       UniqueEList result)

### caseGridLayout

    public java.lang.Object caseGridLayout(GridLayout object)

  Description copied from class: `GMFGraphSwitch`
  Returns the result of interpretting the object as an instance of 'Grid Layout'. This implementation returns null; returning a non-null result will terminate the switch.

  Overrides:
    `caseGridLayout` in class `GMFGraphSwitch`
  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Grid Layout'.
  See Also:
    `doSwitch(EObject)`

### caseGridLayoutData

    public java.lang.Object caseGridLayoutData(GridLayoutData object)

  Description copied from class: `GMFGraphSwitch`
  Returns the result of interpretting the object as an instance of 'Grid Layout Data'. This implementation returns null; returning a non-null result will terminate the switch.

  Overrides:
    `caseGridLayoutData` in class `GMFGraphSwitch`
  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Grid Layout Data'.
  See Also:
    `doSwitch(EObject)`

### casePolylineConnection

    public java.lang.Object casePolylineConnection(PolylineConnection object)

  Description copied from class: `GMFGraphSwitch`
  Returns the result of interpretting the object as an instance of 'Polyline Connection'. This implementation returns null; returning a non-null result will terminate the switch.

### caseLabel

    public java.lang.Object caseLabel(Label object)

  Description copied from class: `GMFGraphSwitch`
  Returns the result of interpretting the object as an instance of 'Label'. This implementation returns null; returning a non-null result will terminate the switch.

### get

    public java.lang.String get(EObject gmfgraphObject)

  Description copied from interface: `FigureQualifiedNameSwitch`
  (XXX) tell about/change behavior with wrong arguments - exception?

  Specified by:
    `get` in interface `FigureQualifiedNameSwitch`
  Returns:
    fully-qualified class name corresponding to object, or `null` if it's not suitable graphical object

### get

    public java.lang.String get(EObject gmfgraphObject,
                                ImportAssistant importManager)

  Description copied from interface: `FigureQualifiedNameSwitch`
  Handy addition to `FigureQualifiedNameSwitch.get(EObject)`, with return value passed through `ImportAssistant.getImportedName(String)`

  Specified by:
    `get` in interface `FigureQualifiedNameSwitch`
  Returns:
    qualified or imported class name

### getDependencies

    public java.lang.String[] getDependencies(FigureGallery gallery)

  Description copied from interface: `FigureQualifiedNameSwitch`
  (XXX) decide whether org.eclipse.draw2d should be included there.

  Specified by:
    `getDependencies` in interface `FigureQualifiedNameSwitch`
  Returns:
    symbolic names of plug-ins. Figures of the gallery may need these in classpath.

### caseCustomClass

    public java.lang.Object caseCustomClass(CustomClass object)

  Description copied from class: `GMFGraphSwitch`
  Returns the result of interpretting the object as an instance of 'Custom Class'. This implementation returns null; returning a non-null result will terminate the switch.

  Overrides:
    `caseCustomClass` in class `GMFGraphSwitch`
  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Custom Class'.
  See Also:
    `doSwitch(EObject)`

### caseFlowLayout

    public java.lang.Object caseFlowLayout(FlowLayout object)

  Description copied from class: `GMFGraphSwitch`
  Returns the result of interpretting the object as an instance of 'Flow Layout'. This implementation returns null; returning a non-null result will terminate the switch.

  Overrides:
    `caseFlowLayout` in class `GMFGraphSwitch`
  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Flow Layout'.
  See Also:
    `doSwitch(EObject)`

### caseXYLayout

    public java.lang.Object caseXYLayout(XYLayout object)

  Description copied from class: `GMFGraphSwitch`
  Returns the result of interpretting the object as an instance of 'XY Layout'. This implementation returns null; returning a non-null result will terminate the switch.

  Overrides:
    `caseXYLayout` in class `GMFGraphSwitch`
  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'XY Layout'.
  See Also:
    `doSwitch(EObject)`

### caseXYLayoutData

    public java.lang.Object caseXYLayoutData(XYLayoutData object)

  Description copied from class: `GMFGraphSwitch`
  Returns the result of interpretting the object as an instance of 'XY Layout Data'. This implementation returns null; returning a non-null result will terminate the switch.

  Overrides:
    `caseXYLayoutData` in class `GMFGraphSwitch`
  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'XY Layout Data'.
  See Also:
    `doSwitch(EObject)`

### caseStackLayout

    public java.lang.Object caseStackLayout(StackLayout object)

  Description copied from class: `GMFGraphSwitch`
  Returns the result of interpretting the object as an instance of 'Stack Layout'. This implementation returns null; returning a non-null result will terminate the switch.

  Overrides:
    `caseStackLayout` in class `GMFGraphSwitch`
  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Stack Layout'.
  See Also:
    `doSwitch(EObject)`

### caseBorderLayout

    public java.lang.Object caseBorderLayout(BorderLayout object)

  Description copied from class: `GMFGraphSwitch`
  Returns the result of interpretting the object as an instance of 'Border Layout'. This implementation returns null; returning a non-null result will terminate the switch.

  Overrides:
    `caseBorderLayout` in class `GMFGraphSwitch`
  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Border Layout'.
  See Also:
    `doSwitch(EObject)`

### caseLabeledContainer

    public java.lang.Object caseLabeledContainer(LabeledContainer object)

  Description copied from class: `GMFGraphSwitch`
  Returns the result of interpretting the object as an instance of 'Labeled Container'. This implementation returns null; returning a non-null result will terminate the switch.

  Overrides:
    `caseLabeledContainer` in class `GMFGraphSwitch`
  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Labeled Container'.
  See Also:
    `doSwitch(EObject)`

### caseRectangle

    public java.lang.Object caseRectangle(Rectangle object)

  Description copied from class: `GMFGraphSwitch`
  Returns the result of interpretting the object as an instance of 'Rectangle'. This implementation returns null; returning a non-null result will terminate the switch.

  Overrides:
    `caseRectangle` in class `GMFGraphSwitch`
  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Rectangle'.
  See Also:
    `doSwitch(EObject)`

### caseRoundedRectangle

    public java.lang.Object caseRoundedRectangle(RoundedRectangle object)

  Description copied from class: `GMFGraphSwitch`
  Returns the result of interpretting the object as an instance of 'Rounded Rectangle'. This implementation returns null; returning a non-null result will terminate the switch.

  Overrides:
    `caseRoundedRectangle` in class `GMFGraphSwitch`
  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Rounded Rectangle'.
  See Also:
    `doSwitch(EObject)`

### caseEllipse

    public java.lang.Object caseEllipse(Ellipse object)

  Description copied from class: `GMFGraphSwitch`
  Returns the result of interpretting the object as an instance of 'Ellipse'. This implementation returns null; returning a non-null result will terminate the switch.

  Overrides:
    `caseEllipse` in class `GMFGraphSwitch`
  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Ellipse'.
  See Also:
    `doSwitch(EObject)`

### casePolygon

    public java.lang.Object casePolygon(Polygon object)

  Description copied from class: `GMFGraphSwitch`
  Returns the result of interpretting the object as an instance of 'Polygon'. This implementation returns null; returning a non-null result will terminate the switch.

  Overrides:
    `casePolygon` in class `GMFGraphSwitch`
  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Polygon'.
  See Also:
    `doSwitch(EObject)`

### casePolygonDecoration

    public java.lang.Object casePolygonDecoration(PolygonDecoration object)

  Description copied from class: `GMFGraphSwitch`
  Returns the result of interpretting the object as an instance of 'Polygon Decoration'. This implementation returns null; returning a non-null result will terminate the switch.

  Overrides:
    `casePolygonDecoration` in class `GMFGraphSwitch`
  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Polygon Decoration'.
  See Also:
    `doSwitch(EObject)`

### casePolyline

    public java.lang.Object casePolyline(Polyline object)

  Description copied from class: `GMFGraphSwitch`
  Returns the result of interpretting the object as an instance of 'Polyline'. This implementation returns null; returning a non-null result will terminate the switch.

  Overrides:
    `casePolyline` in class `GMFGraphSwitch`
  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Polyline'.
  See Also:
    `doSwitch(EObject)`

### casePolylineDecoration

    public java.lang.Object casePolylineDecoration(PolylineDecoration object)

  Description copied from class: `GMFGraphSwitch`
  Returns the result of interpretting the object as an instance of 'Polyline Decoration'. This implementation returns null; returning a non-null result will terminate the switch.

  Overrides:
    `casePolylineDecoration` in class `GMFGraphSwitch`
  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Polyline Decoration'.
  See Also:
    `doSwitch(EObject)`

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.